Skip to main content
PUT
Update a data source account

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Body

application/json
is_enabled
boolean

Whether or not the account is enabled. If disabled, hides related transactions from analytics

Example:

true

Response

200 - application/json

Ok

is_enabled
boolean
required

Whether or not the account is enabled. If disabled, hides related transactions from analytics

Example:

true

account_id
string

Unique account id associated with the data source account

Example:

"202348"

anomaly_reasons
string[] | null

Reasons associated with anomaly_score for pdf bank statement account sources

Example:
anomaly_score
integer

For pdf bank statement account sources, where the value is between 0 and 1000, with 1000 being the most anomalous

Example:

200

balances
object[]

List of balances associated with the account

Example:
currency
string

Currency of the account

Example:

"USD"

display_account_id
string | null

Human-readable account label for display: the last four digits of the account number (falling back to the account title). Not unique and not a key; use account_id to join.

Example:

"7505"

end_date
string<date>

End date of the account

Example:

"2022-01-31"

heron_id
string

Unique ID for data source generated by Heron

Example:

"dso_5nG8WfjasdbyPNHD9rqLmD"

institution_name
string

Name of the institution

Example:

"Chase"

max_date
string<date>

Latest date of transactions associated with the data source account

Example:

"2022-01-31"

min_date
string<date>

Earliest date of transactions associated with the data source account

Example:

"2022-01-01"

name
string

Name of the account

Example:

"Checking Account"

num_transactions
integer

Number of transactions associated with the data source account

Example:

120

number
string

Number of the account

Example:

"123456789"

owner_name
string

Name of the account owner

Example:

"John Doe"

reference_id
string

This is the account ID provided as part of the transaction

Example:

"account-202348"

start_date
string<date>

Start date of the account

Example:

"2022-01-01"

transactions_match_balances
boolean

For pdf bank statements, represents whether all transactions extracted match the balances extracted

Example:

true

type
string

Type of the account

Example:

"Checking"